Issue 120413 - Regression: Check for Update disabled by default in AOO 3.4.0 and 3.4.1
Summary: Regression: Check for Update disabled by default in AOO 3.4.0 and 3.4.1
Status: CLOSED FIXED
Alias: None
Product: Installation
Classification: Application
Component: code (show other issues)
Version: 3.4.0
Hardware: All All
: P3 Critical (vote)
Target Milestone: ---
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 18:48 UTC by Rob Weir
Modified: 2013-07-21 10:49 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
jsc: 3.4.1_release_blocker+


Attachments
Patch to enable by default the "Check for updates automatically" feature (938 bytes, patch)
2012-07-30 19:29 UTC, Ariel Constenla-Haile
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Rob Weir 2012-07-30 18:48:58 UTC
This setting was enabled by default in OOo 3.3.0, with a check interval of 1-week.  Now it is entirely disabled.

This is very bad for security since it makes it far more difficult for us to notify users of available updates. 

The update mechanism is also our best way to notify the user of feature updates.
Comment 1 Ariel Constenla-Haile 2012-07-30 19:25:56 UTC
According to the mercurial log, this was bug 69938

http://hg.services.openoffice.org/OOO340/rev/1f174e904d4b
Comment 2 Ariel Constenla-Haile 2012-07-30 19:27:19 UTC
(In reply to comment #1)
> According to the mercurial log, this was bug 69938
> 
> http://hg.services.openoffice.org/OOO340/rev/1f174e904d4b

Just in case http://hg.services.openoffice.org dies:

INTEGRATION: CWS onlineupdate4 (1.2.6); FILE MERGED
author	kz
Fri Oct 06 10:36:46 2006 +0000 (2006-10-06)
changeset 174936	1f174e904d4b
parent 174935 	51ddeca0a8c0
child 174937 	01286bce44e6

INTEGRATION: CWS onlineupdate4 (1.2.6); FILE MERGED
2006/10/04 11:04:27 dv 1.2.6.2: #i69938# default for enable update check should be false
2006/09/26 13:05:26 obr 1.2.6.1: #i69837# default bubble text moved to ui library
Comment 3 Ariel Constenla-Haile 2012-07-30 19:29:47 UTC
Created attachment 78785 [details]
Patch to enable by default the "Check for updates automatically" feature
Comment 4 jsc 2012-07-31 07:30:37 UTC
set release blocker flag to 3.4.1
Comment 5 SVN Robot 2012-07-31 07:58:29 UTC
"jsc" committed SVN revision 1367440 into branches/AOO34:
#120413# change default of auto update to enabledPatch By: arielchReview By: jsc
Comment 6 jsc 2012-07-31 15:35:26 UTC
patch reviewed and applied
Comment 7 SVN Robot 2012-08-02 00:35:51 UTC
"arielch" committed SVN revision 1368322 into trunk:
#i120413# - Check for updates should be enabled by default
Comment 8 Li Feng Wang 2012-08-02 03:24:39 UTC
Verify steps:
1)Click Tools->Options
2)Click Openoffice.org->Online Update in Options dialog
3)Check "Check for updates automatically" in "online update options"

Result:
"Check for updates automatically" is checked on by default.

Build&Platform
branch r1367911 on WindowsXP and Mac
Comment 9 Ariel Constenla-Haile 2013-07-21 10:49:05 UTC
This was fixed in 3.4.1 (it was a release blocker)